Bug 1297001 - device is constantly going up and down when using dhcp, but not with static ip
device is constantly going up and down when using dhcp, but not with static ip
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 11:51 EST by Adam Miller
Modified: 2016-01-21 11:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 09:11:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2016-01-08 11:51:48 EST
Description of problem:

I'm not entirely certain this is a NetworkManager bug so if this should be assigned elsewhere please let me know. For some reason my ethernet interface keeps "flapping" up and down when I use DHCP but if I set it to a static ip the connection remains consistent. I've tested on multiple kernels and even swapped out network hardware the machine is plugged into just to make sure the issue wasn't somewhere down the line. The following is in the logs:

Jan 08 10:30:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 08 10:30:59 pseudogen dhclient[27374]: bound to 192.168.1.17 -- renewal in 36194 seconds.
Jan 08 10:31:57 pseudogen NetworkManager[1390]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): link connected
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 lease renewal requested
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): canceled DHCP transaction, DHCP client pid 27374
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed bound -> done
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 4
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  dhclient started with pid 27589
Jan 08 10:31:59 pseudogen dhclient[27589]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0xa51a8577)
Jan 08 10:31:59 pseudogen dhclient[27589]: DHCPACK from 192.168.1.1 (xid=0xa51a8577)
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    address 192.168.1.17
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    plen 24 (255.255.255.0)
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    gateway 192.168.1.1
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    server identifier 192.168.1.1
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    lease time 86400
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    hostname 'new-host-5'
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    nameserver '192.168.1.1'
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>    domain name 'home'
Jan 08 10:31:59 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 08 10:31:59 pseudogen dhclient[27589]: bound to 192.168.1.17 -- renewal in 37705 seconds.
Jan 08 10:37:08 pseudogen NetworkManager[1390]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 08 10:37:09 pseudogen NetworkManager[1390]: <info>  (enp0s25): link connected
Jan 08 10:37:09 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 lease renewal requested
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): canceled DHCP transaction, DHCP client pid 27589
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed bound -> done
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>  Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 4
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>  dhclient started with pid 28553
Jan 08 10:37:10 pseudogen dhclient[28553]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0x40aa914)
Jan 08 10:37:10 pseudogen dhclient[28553]: DHCPACK from 192.168.1.1 (xid=0x40aa914)
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    address 192.168.1.17
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    plen 24 (255.255.255.0)
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    gateway 192.168.1.1
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    server identifier 192.168.1.1
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    lease time 86400
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    hostname 'new-host-6'
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    nameserver '192.168.1.1'
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>    domain name 'home'
Jan 08 10:37:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 08 10:37:10 pseudogen dhclient[28553]: bound to 192.168.1.17 -- renewal in 41493 seconds.
Jan 08 10:38:08 pseudogen NetworkManager[1390]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): link connected
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 lease renewal requested
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): canceled DHCP transaction, DHCP client pid 28553
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed bound -> done
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 4
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  dhclient started with pid 28773
Jan 08 10:38:10 pseudogen dhclient[28773]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0xd86be553)
Jan 08 10:38:10 pseudogen dhclient[28773]: DHCPACK from 192.168.1.1 (xid=0xd86be553)
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    address 192.168.1.17
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    plen 24 (255.255.255.0)
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    gateway 192.168.1.1
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    server identifier 192.168.1.1
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    lease time 86400
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    hostname 'new-host-5'
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    nameserver '192.168.1.1'
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>    domain name 'home'
Jan 08 10:38:10 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 08 10:38:10 pseudogen dhclient[28773]: bound to 192.168.1.17 -- renewal in 38538 seconds.



Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-8.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect ethernet cable, use dhcp with Network Manager
Comment 1 Adam Miller 2016-01-08 12:01:34 EST
I have also checked the logs on my home router that is dishing out dhcp and this is the only device on the network renewing dhcp leases more rapidly than expected.
Comment 2 Adam Miller 2016-01-08 12:16:01 EST
Going through my logs I've noticed similar behavior from my wifi interface also:

Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): supplicant interface state: inactive -> authenticating
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): supplicant interface state: authenticating -> associating
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): supplicant interface state: associating -> 4-way handshake
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): supplicant interface state: 4-way handshake -> completed
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): Activation: (wifi) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'Tomato'.
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): device state change: config -> ip-config (reason 'none') [50 70 0]
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  Activation (wlp3s0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  dhclient started with pid 25037
Dec 12 17:21:10 pseudogen dhclient[25037]: DHCPREQUEST on wlp3s0 to 255.255.255.255 port 67 (xid=0x279c674)
Dec 12 17:21:10 pseudogen dhclient[25037]: DHCPACK from 192.168.1.1 (xid=0x279c674)
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    address 192.168.1.9
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    plen 24 (255.255.255.0)
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    gateway 192.168.1.1
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    server identifier 192.168.1.1
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    lease time 86400
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    hostname 'pseudogen'
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    nameserver '192.168.1.1'
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>    domain name 'home'
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): DHCPv4 state changed unknown -> bound
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): device state change: ip-config -> ip-check (reason 'none') [70 80 0]
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): device state change: ip-check -> secondaries (reason 'none') [80 90 0]
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): device state change: secondaries -> activated (reason 'none') [90 100 0]
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  NetworkManager state is now CONNECTED_LOCAL
Dec 12 17:21:10 pseudogen dhclient[25037]: bound to 192.168.1.9 -- renewal in 40140 seconds.
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  NetworkManager state is now CONNECTED_GLOBAL
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  Policy set 'Tomato 1' (wlp3s0) as default for IPv4 routing and DNS.
Dec 12 17:21:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): Activation: successful, device activated.
Dec 12 17:24:03 pseudogen NetworkManager[4067]: <info>  VPN service 'openvpn' disappeared
Dec 13 04:30:10 pseudogen dhclient[25037]: DHCPREQUEST on wlp3s0 to 192.168.1.1 port 67 (xid=0x279c674)
Dec 13 04:30:10 pseudogen dhclient[25037]: DHCPACK from 192.168.1.1 (xid=0x279c674)
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    address 192.168.1.9
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    plen 24 (255.255.255.0)
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    gateway 192.168.1.1
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    server identifier 192.168.1.1
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    lease time 86400
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    hostname 'pseudogen'
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    nameserver '192.168.1.1'
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>    domain name 'home'
Dec 13 04:30:10 pseudogen NetworkManager[4067]: <info>  (wlp3s0): DHCPv4 state changed bound -> bound
Dec 13 04:30:10 pseudogen dhclient[25037]: bound to 192.168.1.9 -- renewal in 33053 seconds.
Dec 13 13:41:03 pseudogen dhclient[25037]: DHCPREQUEST on wlp3s0 to 192.168.1.1 port 67 (xid=0x279c674)
Dec 13 13:41:03 pseudogen dhclient[25037]: DHCPACK from 192.168.1.1 (xid=0x279c674)
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    address 192.168.1.9
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    plen 24 (255.255.255.0)
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    gateway 192.168.1.1
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    server identifier 192.168.1.1
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    lease time 86400
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    hostname 'pseudogen'
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    nameserver '192.168.1.1'
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>    domain name 'home'
Dec 13 13:41:03 pseudogen NetworkManager[4067]: <info>  (wlp3s0): DHCPv4 state changed bound -> bound
Dec 13 13:41:03 pseudogen dhclient[25037]: bound to 192.168.1.9 -- renewal in 37531 seconds.
Dec 14 00:06:34 pseudogen dhclient[25037]: DHCPREQUEST on wlp3s0 to 192.168.1.1 port 67 (xid=0x279c674)
Dec 14 00:06:34 pseudogen dhclient[25037]: DHCPACK from 192.168.1.1 (xid=0x279c674)
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    address 192.168.1.9
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    plen 24 (255.255.255.0)
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    gateway 192.168.1.1
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    server identifier 192.168.1.1
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    lease time 86400
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    hostname 'pseudogen'
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    nameserver '192.168.1.1'
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>    domain name 'home'
Dec 14 00:06:34 pseudogen NetworkManager[4067]: <info>  (wlp3s0): DHCPv4 state changed bound -> bound
Dec 14 00:06:34 pseudogen dhclient[25037]: bound to 192.168.1.9 -- renewal in 38346 seconds.
Comment 3 Adam Miller 2016-01-08 12:18:33 EST
Errr, apologies. I posted the wrong section of the logs:

Jan 07 21:43:13 pseudogen NetworkManager[1390]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): link connected
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 lease renewal requested
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): canceled DHCP transaction, DHCP client pid 5468
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed bound -> done
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 45 seconds)
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  dhclient started with pid 28677
Jan 07 21:43:15 pseudogen dhclient[28677]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0x5e2e414c)
Jan 07 21:43:15 pseudogen dhclient[28677]: DHCPACK from 192.168.1.1 (xid=0x5e2e414c)
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    address 192.168.1.17
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    plen 24 (255.255.255.0)
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    gateway 192.168.1.1
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    server identifier 192.168.1.1
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    lease time 86400
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    hostname 'new-host-5'
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    nameserver '192.168.1.1'
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>    domain name 'home'
Jan 07 21:43:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 07 21:43:15 pseudogen dhclient[28677]: bound to 192.168.1.17 -- renewal in 36232 seconds.
Jan 07 21:44:13 pseudogen NetworkManager[1390]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): link connected
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 lease renewal requested
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): canceled DHCP transaction, DHCP client pid 28677
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed bound -> done
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 45 seconds)
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  dhclient started with pid 28771
Jan 07 21:44:15 pseudogen dhclient[28771]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0x6592697a)
Jan 07 21:44:15 pseudogen dhclient[28771]: DHCPACK from 192.168.1.1 (xid=0x6592697a)
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    address 192.168.1.17
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    plen 24 (255.255.255.0)
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    gateway 192.168.1.1
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    server identifier 192.168.1.1
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    lease time 86400
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    hostname 'new-host-6'
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    nameserver '192.168.1.1'
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>    domain name 'home'
Jan 07 21:44:15 pseudogen NetworkManager[1390]: <info>  (enp0s25): DHCPv4 state changed unknown -> bound
Jan 07 21:44:15 pseudogen dhclient[28771]: bound to 192.168.1.17 -- renewal in 33062 seconds.
Comment 4 Beniamino Galvani 2016-01-10 11:47:06 EST
From the logs you posted it seems that the ethernet link is sometimes
going down for a couple of seconds (I would say for some reasons not
related to NM) and NM renews the DHCP lease after the link goes up
again. This behavior looks right to me on NM side, but I can't say
which is the cause for the temporary link disconnections.

Could you please post NM logs for the static IP case too, to
see if there's the same flapping of link status? And maybe also the
output of 'dmesg' for the same period of time?

Logs for WiFi look ok to me (the renewals are after several hours).
Comment 5 Adam Miller 2016-01-11 12:58:03 EST
Yeah, I'm seeing similar flapping for static IP ... this might not be NM, possibly kernel? I'm not really sure what to do to better diagnose/debug.

Jan 11 11:02:44 pseudogen NetworkManager[29845]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 11 11:02:46 pseudogen NetworkManager[29845]: <info>  (enp0s25): link connected
Jan 11 11:03:44 pseudogen NetworkManager[29845]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 11 11:03:46 pseudogen NetworkManager[29845]: <info>  (enp0s25): link connected
Jan 11 11:36:37 pseudogen NetworkManager[29845]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 11 11:36:39 pseudogen NetworkManager[29845]: <info>  (enp0s25): link connected
Jan 11 11:38:47 pseudogen NetworkManager[29845]: <info>  (enp0s25): link disconnected (deferring action for 4 seconds)
Jan 11 11:38:49 pseudogen NetworkManager[29845]: <info>  (enp0s25): link connected
Comment 6 Beniamino Galvani 2016-01-12 06:03:17 EST
(In reply to Adam Miller from comment #5)
> Yeah, I'm seeing similar flapping for static IP ... this might not be NM,
> possibly kernel? I'm not really sure what to do to better diagnose/debug.

If you disable/stop NM, what does 'dmesg' show after bringing the device up? I suspect this is a problem in the physical link, maybe a bad cable? What does "ethtool enp0s25" report?
Comment 7 Adam Miller 2016-01-13 17:36:28 EST
I've swapped out the ethernet cable and changed the network switch with a spare ... it still appears to be happening. I have no idea what's going on but this likely isn't a NetworkManager issue.

dmesg:

[511589.241379] e1000e: enp0s25 NIC Link is Up 100 Mbps Full Duplex, Flow Control: Rx/Tx
[511589.241384] e1000e 0000:00:19.0 enp0s25: 10/100 speed: disabling TSO

ethtool:

Settings for enp0s25:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
        Advertised pause frame use: No
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: on (auto)
        Supports Wake-on: pumbg
        Wake-on: d
        Current message level: 0x00000007 (7)
                               drv probe link
        Link detected: yes
Comment 8 Adam Miller 2016-01-21 11:33:05 EST
For the sake of posterity, it turns out the "powersave" tuned profile was too aggressive in some aspect and causing my network devices to constantly flip. I switched to the "balanced" profile and the issue has gone away.

Note You need to log in before you can comment on or make changes to this bug.